%define major	3
%define liblept	%mklibname %{name} %{major}
%define devlept	%mklibname %{name} -d

Name:		leptonica
Version:	1.69
Release:	%mkrel 2
Summary:	C library for image processing and analysis
License:	Leptonica 
Group:		Graphics/Utilities 
URL:		http://www.leptonica.com/
Source:		http://www.leptonica.com/source/%{name}-%{version}.tar.gz

%description
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.
Featured operations are:
Rasterop (a.k.a. bitblt)
Affine transformations (scaling, translation, rotation, shear) on images
of arbitrary pixel depth
Binary and gray-scale morphology, rank order, and convolution
Seedfill and connected components
Image transformations combining changes in scale and pixel depth
Pixelwise masking, blending, enhancement, arithmetic ops, etc.
    
%package -n %{liblept}
Summary:	C library for image processing and analysis
Group:		System/Libraries

%description -n %{liblept}
Leptonica is open source software that is broadly useful for image processing
and image analysis applications.
Featured operations are:
    Rasterop (a.k.a. bitblt)
    Affine transformations (scaling, translation, rotation, shear) on images
    of arbitrary pixel depth
    Binary and gray-scale morphology, rank order, and convolution
    Seedfill and connected components
    Image transformations combining changes in scale and pixel depth
    Pixelwise masking, blending, enhancement, arithmetic ops, etc.

%package -n %{devlept}
Summary:	Leptonica header files
Group:		System/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}lept-devel = %{version}-%{release}
Obsoletes:	%{_lib}lept-devel < %{version}-%{release}
Requires:	%{liblept} = %{version}-%{release}

%description -n %{devlept}
This package contains leptonica header files needed by developers.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-programs
%make

%install
%makeinstall_std
%__rm -f %{buildroot}%{_libdir}/*.la
 
%files -n %{liblept}
%doc leptonica-license.txt version-notes.html
%{_libdir}/liblept.so.%{major}*

%files -n %{devlept}
%{_includedir}/%{name}/*.h
%{_libdir}/liblept.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.69-2.mga3
+ Revision: 356751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Thu Oct 18 2012 barjac <barjac> 1.69-1.mga3
+ Revision: 307770
- New version

  + doktor5000 <doktor5000>
    - imported package leptonica

